Organizations
Set an Organization policy
Replaces all bindings when If-Match is the current etag; removing a member removes their access. Only an owner adds or removes roles/owner, and the last owner stays (422). Requests in its Workspaces see the change within 30 seconds.
POST
/
organizations
/
{id}
:setIamPolicy
Set an Organization policy
curl --request POST \
--url https://api.akua.dev/v1/organizations/{id}:setIamPolicy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'if-match: <if-match>' \
--data '
{
"bindings": [
{
"role": "roles/admin",
"members": []
}
]
}
'import requests
url = "https://api.akua.dev/v1/organizations/{id}:setIamPolicy"
payload = { "bindings": [
{
"role": "roles/admin",
"members": []
}
] }
headers = {
"if-match": "<if-match>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'if-match': '<if-match>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({bindings: [{role: 'roles/admin', members: []}]})
};
fetch('https://api.akua.dev/v1/organizations/{id}:setIamPolicy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akua.dev/v1/organizations/{id}:setIamPolicy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bindings' => [
[
'role' => 'roles/admin',
'members' => [
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"if-match: <if-match>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.akua.dev/v1/organizations/{id}:setIamPolicy"
payload := strings.NewReader("{\n \"bindings\": [\n {\n \"role\": \"roles/admin\",\n \"members\": []\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("if-match", "<if-match>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.akua.dev/v1/organizations/{id}:setIamPolicy")
.header("if-match", "<if-match>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bindings\": [\n {\n \"role\": \"roles/admin\",\n \"members\": []\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akua.dev/v1/organizations/{id}:setIamPolicy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["if-match"] = '<if-match>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bindings\": [\n {\n \"role\": \"roles/admin\",\n \"members\": []\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"bindings": [
{
"role": "roles/admin",
"members": [],
"condition": {
"title": "<string>",
"description": "<string>",
"expires_at": 4503599627370495,
"operations": [
"<string>"
]
}
}
],
"etag": "<string>"
}{
"_tag": "Validation",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Unauthorized",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Forbidden",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "NotFound",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "PreconditionFailed",
"success": false,
"errors": [
{
"code": 7006,
"message": "<string>",
"metadata": {
"current_etag": "<string>"
}
}
],
"result": {}
}{
"_tag": "Unprocessable",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "ServiceUnavailable",
"success": false,
"errors": [],
"result": {}
}Headers
⌘I
Set an Organization policy
curl --request POST \
--url https://api.akua.dev/v1/organizations/{id}:setIamPolicy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'if-match: <if-match>' \
--data '
{
"bindings": [
{
"role": "roles/admin",
"members": []
}
]
}
'import requests
url = "https://api.akua.dev/v1/organizations/{id}:setIamPolicy"
payload = { "bindings": [
{
"role": "roles/admin",
"members": []
}
] }
headers = {
"if-match": "<if-match>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'if-match': '<if-match>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({bindings: [{role: 'roles/admin', members: []}]})
};
fetch('https://api.akua.dev/v1/organizations/{id}:setIamPolicy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akua.dev/v1/organizations/{id}:setIamPolicy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bindings' => [
[
'role' => 'roles/admin',
'members' => [
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"if-match: <if-match>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.akua.dev/v1/organizations/{id}:setIamPolicy"
payload := strings.NewReader("{\n \"bindings\": [\n {\n \"role\": \"roles/admin\",\n \"members\": []\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("if-match", "<if-match>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.akua.dev/v1/organizations/{id}:setIamPolicy")
.header("if-match", "<if-match>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bindings\": [\n {\n \"role\": \"roles/admin\",\n \"members\": []\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akua.dev/v1/organizations/{id}:setIamPolicy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["if-match"] = '<if-match>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bindings\": [\n {\n \"role\": \"roles/admin\",\n \"members\": []\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"bindings": [
{
"role": "roles/admin",
"members": [],
"condition": {
"title": "<string>",
"description": "<string>",
"expires_at": 4503599627370495,
"operations": [
"<string>"
]
}
}
],
"etag": "<string>"
}{
"_tag": "Validation",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Unauthorized",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Forbidden",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "NotFound",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "PreconditionFailed",
"success": false,
"errors": [
{
"code": 7006,
"message": "<string>",
"metadata": {
"current_etag": "<string>"
}
}
],
"result": {}
}{
"_tag": "Unprocessable",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "ServiceUnavailable",
"success": false,
"errors": [],
"result": {}
}